require File.dirname(__FILE__) + '/test_helper.rb'

require 'scbi_ace'

class TestScbiCominer < Test::Unit::TestCase

  def setup
  end

  def test_truth
    filename=File.join(File.dirname(__FILE__),'test.ace')

    # open ace file with parser
    ace=AceParser.new(filename)

    # iterate over all contigs in ace file
    ace.each_contig do |contig|
      
      # puts contig name
      puts contig.name
      
      # calculate cominer stats with this contig
      cominer_stats=Cominer.new(contig)
      
      
      
      # get all reads with orientation and align clips
      contig.reads.each do |name,read|
    	  puts ">#{read.name} #{read.orientation} #{read.align_clip_start} #{read.align_clip_end} #{read.start_in_consensus}"
    	  puts read.fasta[read.align_clip_start.to_i..read.align_clip_end.to_i]
    	end

      # get position_table
      puts cominer_stats.position_table.to_json
      
      # get regions
      puts cominer_stats.regions.to_json
      
      # get snps
      puts cominer_stats.snps.to_json
      
      puts cominer_stats.single_points.to_json
      
    	cominer_stats.entropy_function.graph('/tmp/graph'+contig.name+'.png')
    	
    end

    ace.close
    
  end
end
